Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 1334)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 1335)
@@ -80,8 +80,8 @@
 			}
 		}
 		
-		StatusLine.setMessage(ConcordanceUIMessages.ComputeConcordance_0);
+		StatusLine.setMessage(ConcordanceUIMessages.openingTheConcordanceResult);
 		TXMEditor.openEditor(concordance, ConcordanceEditor.class.getName());
 		return null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/preferences/ConcordancePreferencePage.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/preferences/ConcordancePreferencePage.java	(revision 1334)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/preferences/ConcordancePreferencePage.java	(revision 1335)
@@ -50,9 +50,9 @@
 
 	@Override
 	protected void createFieldEditors() {
-		this.addField(new IntegerFieldEditor(ConcordancePreferences.N_LINES_PER_PAGE, ConcordanceUIMessages.ConcordancerPreferencePage_4, this.getFieldEditorParent()));
-		this.addField(new IntegerFieldEditor(ConcordancePreferences.LEFT_CONTEXT_SIZE, ConcordanceUIMessages.ConcordancerPreferencePage_5, this.getFieldEditorParent()));
-		this.addField(new IntegerFieldEditor(ConcordancePreferences.RIGHT_CONTEXT_SIZE, ConcordanceUIMessages.ConcordancerPreferencePage_6, this.getFieldEditorParent()));
+		this.addField(new IntegerFieldEditor(ConcordancePreferences.N_LINES_PER_PAGE, ConcordanceUIMessages.linesPerAmpPageDDot, this.getFieldEditorParent()));
+		this.addField(new IntegerFieldEditor(ConcordancePreferences.LEFT_CONTEXT_SIZE, ConcordanceUIMessages.ampLeftContextLengthInWords, this.getFieldEditorParent()));
+		this.addField(new IntegerFieldEditor(ConcordancePreferences.RIGHT_CONTEXT_SIZE, ConcordanceUIMessages.ampRightContextLengthInWords, this.getFieldEditorParent()));
 	}
 	
 	
@@ -60,7 +60,7 @@
 	@Override
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(ConcordancePreferences.getInstance().getPreferencesNodeQualifier()));
-		this.setTitle(ConcordanceUIMessages.ConcordancerPreferencePage_3);
+		this.setTitle(ConcordanceUIMessages.concordanceParameters);
 		this.setImageDescriptor(ConcordanceAdapterFactory.ICON);
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/preferences/SpecificitiesPreferencePage.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/preferences/SpecificitiesPreferencePage.java	(revision 1334)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/preferences/SpecificitiesPreferencePage.java	(revision 1335)
@@ -58,10 +58,10 @@
 	protected void createFieldEditors() {
 				
 		
-		this.addField(new StringFieldEditor(SpecificitiesPreferences.FORMAT, SpecificitiesUIMessages.SpecificitiesPreferencePage_3, this.getFieldEditorParent()));
+		this.addField(new StringFieldEditor(SpecificitiesPreferences.FORMAT, SpecificitiesUIMessages.scoresFormatDefaultIsPercent1f, this.getFieldEditorParent()));
 
 		
-		IntegerFieldEditor maxScoreField = new IntegerFieldEditor(SpecificitiesPreferences.MAX_SCORE, SpecificitiesUIMessages.SpecificitiesPreferencePage_8, this.getFieldEditorParent()); 
+		IntegerFieldEditor maxScoreField = new IntegerFieldEditor(SpecificitiesPreferences.MAX_SCORE, SpecificitiesUIMessages.maximumScore, this.getFieldEditorParent()); 
 		maxScoreField.setTextLimit(4);
 		maxScoreField.setValidRange(10, 1000);
 		this.addField(maxScoreField);
@@ -70,7 +70,7 @@
 		// Charts rendering
 		Composite chartsTab = SWTChartsComponentsProvider.createChartsRenderingPreferencesTabFolderComposite(this.getFieldEditorParent());
 		
-		this.addField(new DoubleFieldEditor(SpecificitiesPreferences.CHART_BANALITY, SpecificitiesUIMessages.SpecificitiesPreferencePage_7, chartsTab));
+		this.addField(new DoubleFieldEditor(SpecificitiesPreferences.CHART_BANALITY, SpecificitiesUIMessages.banality, chartsTab));
 		
 		// Create a group for columns management of mixed boolean fields and field/text input fields
 		Composite booleansGroup = new Composite(chartsTab, SWT.NONE);
@@ -78,9 +78,9 @@
 		gridData.horizontalSpan = 2;
 		booleansGroup.setLayoutData(gridData);
 		
-		this.addField(new BooleanFieldEditor(SpecificitiesPreferences.CHART_GROUP_BY_LINES, SpecificitiesUIMessages.SpecificitiesPreferencePage_4, booleansGroup));
-		this.addField(new BooleanFieldEditor(SpecificitiesPreferences.CHART_DRAW_LINES, SpecificitiesUIMessages.SpecificitiesPreferencePage_5, booleansGroup));
-		this.addField(new BooleanFieldEditor(SpecificitiesPreferences.CHART_DRAW_BARS, SpecificitiesUIMessages.SpecificitiesPreferencePage_6, booleansGroup));
+		this.addField(new BooleanFieldEditor(SpecificitiesPreferences.CHART_GROUP_BY_LINES, SpecificitiesUIMessages.groupBarsByLines, booleansGroup));
+		this.addField(new BooleanFieldEditor(SpecificitiesPreferences.CHART_DRAW_LINES, SpecificitiesUIMessages.drawLines, booleansGroup));
+		this.addField(new BooleanFieldEditor(SpecificitiesPreferences.CHART_DRAW_BARS, SpecificitiesUIMessages.drawBars, booleansGroup));
 		
 		// other shared preferences
 		SWTChartsComponentsProvider.createChartsRenderingPreferencesFields(this, chartsTab);
@@ -91,10 +91,10 @@
 	@Override
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(new TXMPreferenceStore(SpecificitiesPreferences.getInstance().getPreferencesNodeQualifier()));
-		this.setTitle(SpecificitiesUIMessages.SpecificitiesPreferencePage_2);
+		this.setTitle(SpecificitiesUIMessages.specificities);
 		this.setImageDescriptor(SpecificitiesAdapterFactory.ICON);
 	}
 
 
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/SpecificitiesUIMessages.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/SpecificitiesUIMessages.java	(revision 1334)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/SpecificitiesUIMessages.java	(revision 1335)
@@ -13,16 +13,16 @@
 	
 	private static final String BUNDLE_NAME = "org.txm.specificities.rcp.messages.messages"; //$NON-NLS-1$
 	
-	public static String SpecificitiesPreferencePage_2;
-	public static String SpecificitiesPreferencePage_3;
-	public static String SpecificitiesPreferencePage_4;
-	public static String SpecificitiesPreferencePage_5;
-	public static String SpecificitiesPreferencePage_6;
-	public static String SpecificitiesPreferencePage_7;
+	public static String specificities; 
+	public static String scoresFormatDefaultIsPercent1f; 
+	public static String groupBarsByLines; 
+	public static String drawLines; 
+	public static String drawBars; 
+	public static String banality; 
 
-	public static String SpecificitiesPreferencePage_8;
-	public static String SpecificitiesTableEditor_0;
-	public static String SpecificitiesTableEditor_11;
+	public static String maximumScore; 
+	public static String failedToComputeSpecificities; 
+	public static String t; 
 	
 	static {
 		// initialize resource bundle
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 1334)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 1335)
@@ -180,7 +180,7 @@
 			specificitesTable.setSortDirection(SWT.UP);
 			
 		} catch (Exception e) {
-			Log.severe(NLS.bind(SpecificitiesUIMessages.SpecificitiesTableEditor_0, e.getMessage()));
+			Log.severe(NLS.bind(SpecificitiesUIMessages.failedToComputeSpecificities, e.getMessage()));
 			Log.printStackTrace(e);
 		}
 	}
@@ -237,7 +237,7 @@
 			
 			if(!this.getResult().isDirty())	{
 				
-				typeFrequencyColumn.setText(TXMCoreMessages.common_frequency + " " + SpecificitiesUIMessages.SpecificitiesTableEditor_11 + " " + this.getResult().getCorpusSize()); //$NON-NLS-1$ //$NON-NLS-2$
+				typeFrequencyColumn.setText(TXMCoreMessages.common_frequency + " " + SpecificitiesUIMessages.t + " " + this.getResult().getCorpusSize()); //$NON-NLS-1$ //$NON-NLS-2$
 				typeFrequencyColumn.setToolTipText(typeFrequencyColumn.getText()); 
 				typeFrequencyColumn.pack();
 
@@ -298,4 +298,4 @@
 
 
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java	(revision 1334)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesSelectionEditor.java	(revision 1335)
@@ -47,7 +47,7 @@
 		
 		// Group bars by lines
 		groupBarsByLines = new ToolItem(this.getToolBar(), SWT.CHECK);
-		groupBarsByLines.setToolTipText(SpecificitiesUIMessages.SpecificitiesPreferencePage_4);
+		groupBarsByLines.setToolTipText(SpecificitiesUIMessages.groupBarsByLines);
 		groupBarsByLines.setImage(IImageKeys.getImage(ComputeSpecifities.class, "icons/silk_group_bars_by_lines.png"));
 		groupBarsByLines.addSelectionListener(computeSelectionListener);
 		
@@ -70,4 +70,4 @@
 		// nothing to do
 	}
 	
-}
+}
\ No newline at end of file
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/messages/CACoreMessages.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/messages/CACoreMessages.java	(revision 1334)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/messages/CACoreMessages.java	(revision 1335)
@@ -1,61 +1,58 @@
-package org.txm.ca.core.messages;
-
-import org.eclipse.osgi.util.NLS;
-import org.txm.utils.messages.Utf8NLS;
-
-/**
- * CA core messages.
- * 
- * @author mdecorde
- * @author sjacquot
- *
- */
-public class CACoreMessages extends NLS {
-
-	private static final String BUNDLE_NAME = "org.txm.ca.core.messages.messages"; //$NON-NLS-1$
-
-	public static String RESULT_TYPE;
-	public static String EIGENVALUES_RESULT_TYPE;
-	
-	public static String charts_error_factorialMap_cantCreateCAChartFile;
-	public static String charts_error_singularValues_cantCreateSingularValuesChart;
-
-	public static String charts_factorialMap_axisLabelPrefix;
-	public static String charts_factorialMap_legendColumnsLabel;
-	public static String charts_factorialMap_legendRowsLabel;
-	public static String charts_factorialMap_title;
-	public static String charts_factorialMap_tooltipColsLabel;
-	public static String charts_factorialMap_tooltipCoordinates;
-	public static String charts_factorialMap_tooltipRowsLabel;
-	
-	public static String charts_singularValues_title;
-	public static String charts_singularValues_tooltipPercent;
-	public static String charts_singularValues_tooltipSum;
-	public static String charts_singularValues_tooltipYLabel;
-	public static String charts_singularValues_xAxisLabel;
-	public static String charts_singularValues_yAxisLabel;
-	
-	public static String common_c1;
-	public static String common_c2;
-	public static String common_c3;
-	public static String common_cont;
-	public static String common_cos2;
-	public static String common_dist;
-	public static String common_mass;
-	public static String common_q12;
-	public static String common_q13;
-	public static String common_q23;
-	
-	public static String error_canNotLoadCALibrary;
-	public static String error_errorWhileComputingCA;
-	public static String error_failedToGetConstributionRow;
-	public static String error_failedToGetContributionColumn;
-	public static String error_failedToGetCos2Column;
-	public static String error_failedToGetCos2Row;
-	public static String error_lexicalTableNotFoundInWorkspace;
-	public static String error_unableToExtractSingularValues;
-
-	static {
-		Utf8NLS.initializeMessages(BUNDLE_NAME, CACoreMessages.class);
-	}
-}
+package org.txm.ca.core.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+/**
+ * CA core messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class CACoreMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.ca.core.messages.messages"; //$NON-NLS-1$
+
+	public static String RESULT_TYPE;
+	public static String eigenvalues; 
+	
+	public static String cantCreateCAChartFileChartsEngineDDotP0; 
+	public static String cantCreateBarChartOfTheCASingularValues; 
+
+	public static String axis; 
+	public static String columns; 
+	public static String rows; 
+	public static String correspondenceAnalysisFactorialMapofTheP0; 
+	public static String t; 
+	public static String coordinates; 
+	public static String frequency; 
+	
+	public static String percent; 
+	public static String charts_singularValues_tooltipSum;
+	public static String eigenvalue; 
+	
+	public static String common_c1;
+	public static String common_c2;
+	public static String common_c3;
+	public static String common_cont;
+	public static String common_cos2;
+	public static String common_dist;
+	public static String common_mass;
+	public static String common_q12;
+	public static String common_q13;
+	public static String common_q23;
+	
+	public static String error_canNotLoadCALibrary;
+	public static String error_errorWhileComputingCA;
+	public static String error_failedToGetConstributionRow;
+	public static String error_failedToGetContributionColumn;
+	public static String error_failedToGetCos2Column;
+	public static String error_failedToGetCos2Row;
+	public static String error_lexicalTableNotFoundInWorkspace;
+	public static String error_unableToExtractSingularValues;
+
+	static {
+		Utf8NLS.initializeMessages(BUNDLE_NAME, CACoreMessages.class);
+	}
+}
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java	(revision 1334)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/functions/Eigenvalues.java	(revision 1335)
@@ -111,7 +111,7 @@
 
 	@Override
 	public String getResultype() {
-		return CACoreMessages.EIGENVALUES_RESULT_TYPE;
+		return CACoreMessages.eigenvalues;
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RCAChartCreator.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RCAChartCreator.java	(revision 1334)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RCAChartCreator.java	(revision 1335)
@@ -66,7 +66,7 @@
 			
 		}
 		catch(Exception e) {
-			Log.severe(CACoreMessages.bind(CACoreMessages.charts_error_factorialMap_cantCreateCAChartFile + " - FactoMineR package", RChartsEngine.DESCRIPTION) + e); //$NON-NLS-1$
+			Log.severe(CACoreMessages.bind(CACoreMessages.cantCreateCAChartFileChartsEngineDDotP0 + " - FactoMineR package", RChartsEngine.DESCRIPTION) + e); //$NON-NLS-1$
 			Log.printStackTrace(e);
 		}
 
@@ -110,7 +110,7 @@
 			this.getChartsEngine().plot(destFile, cmd);
 		}
 		catch(Exception e) {
-			Log.severe(CACoreMessages.bind(CACoreMessages.charts_error_factorialMap_cantCreateCAChartFile + " - CA package", RChartsEngine.DESCRIPTION) + e); //$NON-NLS-1$
+			Log.severe(CACoreMessages.bind(CACoreMessages.cantCreateCAChartFileChartsEngineDDotP0 + " - CA package", RChartsEngine.DESCRIPTION) + e); //$NON-NLS-1$
 			Log.printStackTrace(e);
 		}
 
@@ -174,4 +174,4 @@
 
 
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RSingularValuesChartCreator.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RSingularValuesChartCreator.java	(revision 1334)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RSingularValuesChartCreator.java	(revision 1335)
@@ -55,9 +55,9 @@
 
 		String cmd = "tmpY <- " + ca.getSymbol() + "$eig$eigenvalue[1:length(" + ca.getSymbol() + "$eig$eigenvalue) - 1];\n"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		cmd += "barplot(tmpY, main=\"" //$NON-NLS-1$
-				+ CACoreMessages.charts_singularValues_title + "\", ylab=\"" + //$NON-NLS-1$
-				CACoreMessages.charts_singularValues_yAxisLabel + "\", xlab=\"" + //$NON-NLS-1$
-				CACoreMessages.charts_singularValues_xAxisLabel + "\", names.arg=" + xLabels + ");\n"; //$NON-NLS-1$ //$NON-NLS-2$
+				+ CACoreMessages.eigenvalues + "\", ylab=\"" + //$NON-NLS-1$
+				CACoreMessages.eigenvalue + "\", xlab=\"" + //$NON-NLS-1$
+				CACoreMessages.axis + "\", names.arg=" + xLabels + ");\n"; //$NON-NLS-1$ //$NON-NLS-2$
 
 		this.getChartsEngine().plot(file, cmd);
 
@@ -86,4 +86,4 @@
 
 
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/base/Utils.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/base/Utils.java	(revision 1334)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/base/Utils.java	(revision 1335)
@@ -23,8 +23,8 @@
 	 * @return the CA title
 	 */
 	public static String createCAFactorialMapChartTitle(CA ca)	{
-		return ChartsEngineCoreMessages.bind(CACoreMessages.charts_factorialMap_title, ca.getParent().getName());
+		return ChartsEngineCoreMessages.bind(CACoreMessages.correspondenceAnalysisFactorialMapofTheP0, ca.getParent().getName());
 	}
 
 	
-}
+}
\ No newline at end of file
